< Noyau Linux 2.6.13 et KDE 3.4.2 | Roozeec Linux Blog
1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
Loading...Loading...

Noyau Linux 2.6.13 et KDE 3.4.2

J’ai modifé beaucoup mon environnement Linux depuis ces derniers temps, en effet je me suis attaqué à des choses relativement délicates (relativement faciles pour peu que l’on sache se dépatouiller de problèmes eventuels)

  1. Compilation et installation d’un nouveau noyau Linux
  2. Installation KDE 3.4.2

1) Compilation du noyau



Je vais vous décrire ici TRES BRIEVEMENT les différentes étapes pour installer un nouveau noyau.



– Récupération du noyau sous :  http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.13.tar.bz2

  Cette version est la 2.6.13, et depuis plusieurs sous version sont apparues, vous pouvez les avoir sur http://www.kernel.org/pub/linux/kernel/v2.6.

– Décompression des sources sous mon répertoire perso :

   * Creation d’un répertoire noyau2.6.13

   * mkdir noyau2.6.13

   * Déplacement des source compressé dans ce répertoire : mv linux-2.6.13.tar.bz2 noyau2.6.13

   * Décompression des sources : bunzip2 linux-2.6.13.tar.bz2;tar -xvf linux-2.6.13.tar

– Configuration du noyau (dans le répertoire noyau2.6.13/linux-2.6.13) : make xconfig

– La c’est la partie délicate (sachez ce que vous faites !). J’ai uniquement changé le processeur (Athlon) car par défaut c’est un Pentium.

– Ensuite on passe à la compilation avec : make qui fera la compilation du noyau et des modules

– Vient ensuite l’installation en root : make install , qui va installer le tout et modifier normalment le chargeur de démarrage, à savoir Lilo.

– Un reboot et on sélectionne le nouveau noyau



Les problèmes rencontrés après ce reboot :

  • Un message indiquant que supermount n’est plus supporté
  • Le petit écran sympa de boot n’est plus présent. Il faut en fait installer Bootsplash comme un patch au noyau



2) Installation de KDE 3.4.2



Alors là, c’est quand même beaucoup plus délicat. En effet, si vous utilisez KDE et qu’il y a un problème de paquetage (dépendance,..;). Il faudra le résoudre absolument car KDE ne fonctionnera plus. Donc soyez avertis et prenez garde à ces manipulations.



Tout d’abord récupérez les RPM de KDE 3.4.2 (environ 215 Mo …) :

– créer un répertoire kde3.4 : mkdir kde3.4.2;cd kde3.4.2

– récuperer avec : wget ftp://ftp.lip6.fr/pub/X11/kde/stable/3.4.2/Mandriva/10.2/i586/*

Ensuite j’ai fait dans la brutalité ! en root : urpmi *.rpm

Et là ca passe ou ca casse, moi ca a cassé. Enfin pas complètement, beaucoup de paquetages se sont installés et à la fin un message récapitulant les erreurs :



6 transactions d’installation ont échoué:

        kdebase-konsole = 1:3.3.2-100.1.102mdk is needed by (installed) kdebase-3.3.2-100.1.102mdk
        libkdebase4 = 1:3.3.2-100.1.102mdk is needed by (installed) kdebase-common-3.3.2-100.1.102mdk
        kdebase-progs = 1:3.3.2-100.1.102mdk is needed by (installed) kdebase-kdm-config-file-3.3.2-100.1.102mdk
        kdebase-progs = 1:3.3.2-100.1.102mdk is needed by (installed) kdebase-3.3.2-100.1.102mdk
        kdebase-kate = 1:3.3.2-100.1.102mdk is needed by (installed) kdebase-3.3.2-100.1.102mdk
        kdebase-kdeprintfax = 1:3.3.2-100.1.102mdk is needed by (installed) kdebase-3.3.2-100.1.102mdk
        kdebase-progs = 1:3.4.2-1mdk is needed by kdebase-kcontrol-data-3.4.2-1mdk
        kdebase-kmenuedit = 1:3.3.2-100.1.102mdk is needed by (installed) kdebase-3.3.2-100.1.102mdk
        kdepim-common <= 1:3.4.0-10mdk conflicts with kdepim-kontact-3.4.2-1mdk
        kdepim-kontact = 1:3.4.2-1mdk is needed by kdepim-3.4.2-1mdk
        libkdebase4 = 1:3.4.2-1mdk is needed by libkdebase4-devel-3.4.2-1mdk


Là on voit bien que le problème vient d’une incompatibilité entre  kdebase-3.3.2 et les paquetages  kdebase  3.4.2.  Donc j’ai du désinstaller kdebase 3.3.2 (urpme kdebase). J’ai été heurté avec pas mal d’autres problèmes de dépendances pour kdebase.



Mais au final , KDE 3.4.2 a été installé. L’inconvénient avec cette méthode brutale c’est que tous les paquetages sont installés (devel et autres) qui ne sont pas forcément utiles. Ce que je voit dans ce nouveau KDE (nouveau pour moi) , c’est :

  • Plus rapide (apparemment)
  • KPDF qui remplace avantageusement Acrobat Reader
  • Sinon, rien de plus pour le moment

Voilà, si vous voulez franchir le cap et vous prendre un peu la tête….

Si vous avez aimé cet article, merci de voter pour lui ! :
Both comments and pings are currently closed.


Contrat Creative Commons
Cet article est sous licence Creative Commons Paternité
Partage des Conditions Initiales à l'Identique 2.0 France License

Comments are closed.

Propulsé par WordPress


Contrat Creative Commons
Site sous licence Creative Commons Paternité
Partage des Conditions Initiales à l'Identique 2.0 France License
Web Analytics